<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: rulles.php
-------------------------------------------
*/
$title = 'Восстановление пароля';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');
echo '<div class="title">Восстановление пароля</div>';
//-----Если жмут submit(кнопку)-----//
if(isset($_REQUEST['true']))
{
$login = strong($_POST['login']);//фильтрируем
if(empty($login))
{
echo '<div class="podmenu"><b>Вы не ввели логин!</b></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}
if(mb_strlen($login) > 20 or mb_strlen($login) < 3)
{
echo '<div class="podmenu"><b>Введите логин от 3 до 20 символов!</b></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}
//-----Проверка на символы-----//
if (!preg_match('|^[a-z0-9\-]+$|i', $login))
{
echo '<div class="podmenu"><b>Кириллица запрещена в логине!</b></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}

$email = strong($_POST['email']);
if(empty($email))
{
echo '<div class="podmenu"><b>Вы не ввели свой e-mail!</b></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}
//-----Проверяем правильность ввода e-mail-----//
if (!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $email)) {
echo '<div class="podmenu"><b>Формат e-mail введён не верно!</b></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}
$sqldb = mysql_fetch_array(mysql_query("SELECT `login`,`email` FROM `users` WHERE `login` = '".$login."' and `email`='".$email."' LIMIT 1"));
if(!empty($login) && !empty($email)) if($sqldb == 0){
echo '<div class="podmenu"><b>Введенные данные не верны!</b></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}
$rou = rand(1000000000,5000000000);
mysql_query("UPDATE `users` SET `pass` = '".md5(md5(md5($rou)))."' WHERE `login` = '".$login."'");
echo '<div class="podmenu"><b>На Ваш e-mail '.$email.' Мы отправили письмо с вашими регистрациоными данными!</b></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
$titl = 'От'.$HOME;
$msg = 'Здравствуйте '.$login.'!
Вами (или нет) была произведена операция по восстановлению пароля на сайте '.$HOME.'
Ваши данные для входа в аккаунт:
-------------------------
Логин: '.$login.'
Пароль: '.$rou.'
-------------------------
Пароль згенирировался автоматически,просим Вас после авторизации сменить его!';
mail($email, '=?utf-8?B?'.base64_encode('Восстановление пароля '.$HOME).'?=', $msg, "From: $email_a\r\nContent-type: text/plain; charset=utf-8;\r\nX-Mailer: PHP;");
session_destroy();
exit();
}
//-----Форма ввода-----//
echo '<div class="podmenu">
<form action="" method="POST">
*Ваш логин:<br /><input type="text" name="login" maxlength="20" /><br />
*Ваш e-mail:<br /><input type="text" name="email" maxlength="40" /><br />
<input type="submit" name="true" value="Восстановить" />
</form></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
?>